cancel
Showing results for 
Search instead for 
Did you mean: 

Magento 1.9.2.2. Upgrade to 2.1.4 - Migration Error

SOLVED

Magento 1.9.2.2. Upgrade to 2.1.4 - Migration Error

I used the provided command as below to setup migration:

==========================================

magento migrate:settings ~/www/shopping/vendor/magento/data-migration-tool/etc/ce-to-ce/1.9.2.2/config.xml

 

 And I get the error message as below:     

=========================                                       

  [Magento\Framework\Config\Dom\ValidationException] 

  Extra content at the end of the document            

  Line: 151

 

I try to find the noticed file, and it only have 14 lines as below:

===============================

 

<?php
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */

/**
 * \Exception that should be thrown by DOM model when incoming xml is not valid.
 */
namespace Magento\Framework\Config\Dom;

class ValidationException extends \InvalidArgumentException
{
}

---------------------------------------------------------

Anyone knows what happened? and how can I fix it?

1 REPLY

Re: Magento 1.9.2.2. Upgrade to 2.1.4 - Migration Error

You need to check at below file location,

www/shopping/vendor/magento/data-migration-tool/etc/ce-to-ce/1.9.2.2/config.xml

Check at specified line location and check extra space is given then remove it and save file.\

Run again migration command.

If Issue Solved, Click Kudos/Accept As solutions.
More info visit Blogs